Bug 71739 - problems with duplicate (init & xinetd) services and parsing service descriptions
problems with duplicate (init & xinetd) services and parsing service descript...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: serviceconf (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-17 08:54 EDT by Clement Onime
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 15:35:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clement Onime 2002-08-17 08:54:07 EDT
Description of Problem:
serviceconf fails to start when it encounters an init service with the
same name as an xinetd service
Also fails to parse description from init service with a large
copyright message before the description entry

Version-Release number of selected component (if applicable):
serviceconf-0.7.0-3

How Reproducible:
everytime

Steps to Reproduce:
1. cd /etc/init.d
2. cp gpm telnet
3. chkconfig --add telnet
4. serviceconf

Actual Results:
[root@clem init.d]# cp gpm telnet
[root@clem init.d]# chkconfig --add telnet
[root@clem init.d]# serviceconf
Traceback (innermost last):
  File "/usr/share/serviceconf/serviceconf.py", line 446, in ?
    main()
  File "/usr/share/serviceconf/serviceconf.py", line 436, in main
    Gui()
  File "/usr/share/serviceconf/serviceconf.py", line 145, in __init__
    self.populateList()
  File "/usr/share/serviceconf/serviceconf.py", line 197, in populateList
    self.clstServices.append_row(servicename, 
int(self.dict_services[servicename][0][int(self.editing_runlevel)]))
ValueError: invalid literal for int(): 6:off
[root@clem init.d]#


Expected Results:


Additional Information:
	
chkconfig fails to parse description from ppr and afs init service files.
Comment 1 Daniel Walsh 2002-08-19 14:31:57 EDT
This has previously been reported and is fixed in the latest rawhide versions
and the beta release of RedHat.  It will be in the next version of RedHat.

Note You need to log in before you can comment on or make changes to this bug.